- Main Page
- Namespaces
- Classes
- Files
- Directories

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiCuts::iterator Class Reference

Iterator. More...

`#include <OsiCuts.hpp>`

Collaboration diagram for OsiCuts::iterator:

[legend]
List of all members.

## Public Member Functions
| iterator (OsiCuts &cuts)
| iterator (const iterator &src)
iterator & | operator= (const iterator &rhs)
| ~iterator ()
OsiCut * | operator * () const
iterator | operator++ ()
iterator | operator++ (int)
bool | operator== (const iterator &it) const
bool | operator!= (const iterator &it) const
bool | operator< (const iterator &it) const
| iterator (OsiCuts &cuts)
| iterator (const iterator &src)
iterator & | operator= (const iterator &rhs)
| ~iterator ()
OsiCut * | operator * () const
iterator | operator++ ()
iterator | operator++ (int)
bool | operator== (const iterator &it) const
bool | operator!= (const iterator &it) const
bool | operator< (const iterator &it) const
## Private Member Functions
| iterator ()
iterator | begin ()
iterator | end ()
| iterator ()
iterator | begin ()
iterator | end ()
## Private Attributes
OsiCuts & | cuts_
int | rowCutIndex_
int | colCutIndex_
OsiCut * | cutP_
OsiCuts & | cuts_
OsiCut * | cutP_
## Friends
class | OsiCuts
friend class | OsiCuts

## Detailed Description

Iterator.

This is a class for iterating over the collection of cuts.

Definition at line 30 of file OsiCuts.hpp.

## Constructor & Destructor Documentation

OsiCuts::iterator::iterator | ( | OsiCuts & | cuts | ) |

OsiCuts::iterator::iterator | ( | const iterator & | src | ) |

OsiCuts::iterator::~iterator | ( |  | ) |

OsiCuts::iterator::iterator | ( |  | ) | `[private]`

## Member Function Documentation

iterator& OsiCuts::iterator::operator= | ( | const iterator & | rhs | ) |

OsiCut* OsiCuts::iterator::operator * | ( |  | ) | const`[inline]`

Definition at line 37 of file OsiCuts.hpp.

iterator OsiCuts::iterator::operator++ | ( |  | ) |

iterator OsiCuts::iterator::operator++ | ( | int |  | ) | `[inline]`

Definition at line 40 of file OsiCuts.hpp.

bool OsiCuts::iterator::operator== | ( | const iterator & | it | ) | const`[inline]`

Definition at line 47 of file OsiCuts.hpp.

bool OsiCuts::iterator::operator!= | ( | const iterator & | it | ) | const`[inline]`

Definition at line 51 of file OsiCuts.hpp.

bool OsiCuts::iterator::operator< | ( | const iterator & | it | ) | const`[inline]`

Definition at line 55 of file OsiCuts.hpp.

iterator OsiCuts::iterator::begin | ( |  | ) | `[private]`

iterator OsiCuts::iterator::end | ( |  | ) | `[private]`

## Friends And Related Function Documentation

friend class OsiCuts`[friend]`

Definition at line 31 of file OsiCuts.hpp.

## Member Data Documentation

OsiCuts& OsiCuts::iterator::cuts_`[private]`

Definition at line 64 of file OsiCuts.hpp.

OsiCut* OsiCuts::iterator::cutP_`[private]`

Definition at line 67 of file OsiCuts.hpp.

The documentation for this class was generated from the following files:

- osi_doxy.tag:/home/coin/SVN-release/Cgl-0.57.1/Osi/src/Osi/OsiCuts.hpp